Package org.eclipse.rdf4j.sail

## Class SailIsolationLevelTest

- java.lang.Object
- - org.eclipse.rdf4j.sail.SailIsolationLevelTest

-     public abstract class SailIsolationLevelTest
      extends Object

  Simple tests to sanity check that Sail correctly supports claimed isolation levels.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Sail` | `store` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SailIsolationLevelTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `assertNotFailed()` |
    `protected long` | `count​(SailConnection con, Resource subj, IRI pred, Value obj, boolean includeInferred, Resource... contexts)` |
    `protected abstract Sail` | `createSail()` |
    `protected void` | `fail​(String message, Throwable t)` |
    `protected Thread` | `incrementBy​(CountDownLatch start, CountDownLatch observed, IsolationLevels level, ValueFactory vf, IRI subj, IRI pred, int by)` |
    `protected void` | `insertTestStatement​(SailConnection connection, int i)` |
    `protected boolean` | `isSupported​(IsolationLevels level)` |
    `protected Literal` | `readLiteral​(SailConnection con, IRI subj, IRI pred)` |
    `void` | `setUp()` |
    `static void` | `setUpClass()` |
    `void` | `tearDown()` |
    `void` | `testLargeTransaction​(IsolationLevel isolationLevel, int count)` |
    `void` | `testLargeTransactionReadCommitted()` |
    `void` | `testLargeTransactionSerializable()` |
    `void` | `testLargeTransactionSnapshot()` |
    `void` | `testLargeTransactionSnapshotRead()` |
    `void` | `testNone()` |
    `void` | `testReadCommitted()` |
    `void` | `testReadUncommitted()` |
    `void` | `testSerializable()` |
    `void` | `testSnapshot()` |
    `void` | `testSnapshotRead()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### store

          protected Sail store

  - ### Constructor Detail

    - #### SailIsolationLevelTest

          public SailIsolationLevelTest()

  - ### Method Detail

    - #### setUpClass

          public static void setUpClass()

    - #### setUp

          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### createSail

          protected abstract Sail createSail()
                                      throws SailException

      Throws:
        `SailException`

    - #### isSupported

          protected boolean isSupported​(IsolationLevels level)
                                 throws SailException

      Throws:
        `SailException`

    - #### testNone

          public void testNone()
                        throws Exception

      Throws:
        `Exception`

    - #### testReadUncommitted

          public void testReadUncommitted()
                                   throws Exception

      Throws:
        `Exception`

    - #### testReadCommitted

          public void testReadCommitted()
                                 throws Exception

      Throws:
        `Exception`

    - #### testSnapshotRead

          public void testSnapshotRead()
                                throws Exception

      Throws:
        `Exception`

    - #### testSnapshot

          public void testSnapshot()
                            throws Exception

      Throws:
        `Exception`

    - #### testSerializable

          public void testSerializable()
                                throws Exception

      Throws:
        `Exception`

    - #### testLargeTransactionReadCommitted

          public void testLargeTransactionReadCommitted()
                                                 throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testLargeTransactionSnapshot

          public void testLargeTransactionSnapshot()
                                            throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testLargeTransactionSnapshotRead

          public void testLargeTransactionSnapshotRead()
                                                throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testLargeTransactionSerializable

          public void testLargeTransactionSerializable()
                                                throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testLargeTransaction

          public void testLargeTransaction​(IsolationLevel isolationLevel,
                                           int count)
                                    throws InterruptedException

      Throws:
        `InterruptedException`

    - #### incrementBy

          protected Thread incrementBy​(CountDownLatch start,
                                       CountDownLatch observed,
                                       IsolationLevels level,
                                       ValueFactory vf,
                                       IRI subj,
                                       IRI pred,
                                       int by)

    - #### count

          protected long count​(SailConnection con,
                               Resource subj,
                               IRI pred,
                               Value obj,
                               boolean includeInferred,
                               Resource... contexts)
                        throws SailException

      Throws:
        `SailException`

    - #### readLiteral

          protected Literal readLiteral​(SailConnection con,
                                        IRI subj,
                                        IRI pred)
                                 throws SailException

      Throws:
        `SailException`

    - #### insertTestStatement

          protected void insertTestStatement​(SailConnection connection,
                                             int i)
                                      throws SailException

      Throws:
        `SailException`

    - #### fail

          protected void fail​(String message,
                              Throwable t)

    - #### assertNotFailed

          protected void assertNotFailed()